For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
GuidesAPI reference
GuidesAPI reference
  • API Overview
      • GETList Models
      • GETGet Model By Id
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
API OverviewModels

List Models

GET
https://api-gateway.merge.dev/v1/models
GET
/v1/models
$curl https://api-gateway.merge.dev/v1/models
1{
2 "data": [
3 {
4 "id": "string",
5 "provider": "string",
6 "display_name": "string",
7 "capabilities": {
8 "input": [
9 "text"
10 ],
11 "output": [
12 "text"
13 ],
14 "tools": true,
15 "vision": true,
16 "json_schema": true,
17 "streaming": true
18 },
19 "context_window": 1,
20 "max_output_tokens": 1,
21 "pricing": {
22 "input_per_million": 1.1,
23 "output_per_million": 1.1,
24 "currency": "USD"
25 },
26 "object": "model",
27 "status": "available",
28 "sunset_date": "string",
29 "replacement_model": "string",
30 "is_featured": false,
31 "created_at": "2024-01-15T09:30:00Z",
32 "updated_at": "2024-01-15T09:30:00Z"
33 }
34 ],
35 "object": "list",
36 "has_more": false,
37 "next_cursor": "string"
38}

List all available LLM models.

Supports filtering by provider and modification time. Returns paginated results with cursor-based pagination.

Was this page helpful?
Previous

API details

Next

Get Model By Id

Built with

Query parameters

providerstring or nullOptional
Filter by provider
modified_afterdatetime or nullOptional

Filter by updated_at

cursorstring or nullOptional
Pagination cursor
limitintegerOptional1-500Defaults to 50
Page size

Response

Successful Response
datalist of objects
object"list"
has_morebooleanDefaults to false
next_cursorstring or null

Errors

422
Unprocessable Entity Error